curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-yandexmarket-categories-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "26992150",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-yandexmarket-categories-products"
payload = {
"category": "26992150",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: '26992150', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-yandexmarket-categories-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "yandexmarket_categories_products",
"category": "26992150",
"category_id": "26992150",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Yandex Market category products\n\n- **Category:** 26992150\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 2.66 MB",
"machine": {
"total_items": 2,
"first_item": {
"product_id": "6213951594",
"sku_id": "6242322529",
"model_id": "6213951593",
"offer_id": "RRYyMboy7E0SMyivDjI6pA",
"business_id": "216674363",
"title": "Беспроводные наушники Apple AirPods 5 с беспроводным зарядным кейсом",
"url": "https://market.yandex.ru/card/besprovodnyye-naushniki-apple-airpods-5-s-besprovodnym-zaryadnym-keysom/6213951594",
"image": "https://avatars.mds.yandex.net/get-mpic/20907538/pica2ef6e0e0be38fbb167b305d4c09b18f/orig",
"alias": "besprovodnyye-naushniki-apple-airpods-5-s-besprovodnym-zaryadnym-keysom",
"currency": "RUB",
"rating": null,
"rating_count": null,
"purchase_count": null,
"vendor_id": 153043,
"category_ids": [
"90555"
],
"specs_highlights": [],
"price_with_card": 29017,
"old_price": 40179,
"discount_percent": 28,
"condition": "new",
"available_count": 300,
"delivery_text": "6 окт, ПВЗПо клику",
"seller_name": "ID Stoгe",
"is_sponsored": false,
"is_cross_border": true
},
"items": [
{
"product_id": "6213951594",
"sku_id": "6242322529",
"model_id": "6213951593",
"offer_id": "RRYyMboy7E0SMyivDjI6pA",
"business_id": "216674363",
"title": "Беспроводные наушники Apple AirPods 5 с беспроводным зарядным кейсом",
"url": "https://market.yandex.ru/card/besprovodnyye-naushniki-apple-airpods-5-s-besprovodnym-zaryadnym-keysom/6213951594",
"image": "https://avatars.mds.yandex.net/get-mpic/20907538/pica2ef6e0e0be38fbb167b305d4c09b18f/orig",
"alias": "besprovodnyye-naushniki-apple-airpods-5-s-besprovodnym-zaryadnym-keysom",
"currency": "RUB",
"rating": null,
"rating_count": null,
"purchase_count": null,
"vendor_id": 153043,
"category_ids": [
"90555"
],
"specs_highlights": [],
"price_with_card": 29017,
"old_price": 40179,
"discount_percent": 28,
"condition": "new",
"available_count": 300,
"delivery_text": "6 окт, ПВЗПо клику",
"seller_name": "ID Stoгe",
"is_sponsored": false,
"is_cross_border": true
},
{
"product_id": "6213951594",
"sku_id": "6242322529",
"model_id": "6213951593",
"offer_id": "RRYyMboy7E0SMyivDjI6pA",
"business_id": "216674363",
"title": "",
"url": "https://market.yandex.ru/card/besprovodnyye-naushniki-apple-airpods-5-s-besprovodnym-zaryadnym-keysom/6213951594",
"image": "https://avatars.mds.yandex.net/get-mpic/20900195/picc7aa2a43819ceea87f8647346c3d0c59/orig",
"alias": "besprovodnyye-naushniki-apple-airpods-5-s-besprovodnym-zaryadnym-keysom",
"currency": "RUB",
"rating": null,
"rating_count": null,
"purchase_count": null,
"vendor_id": 153043,
"category_ids": [
"90555"
],
"specs_highlights": [],
"price_with_card": 29914,
"old_price": 40179,
"discount_percent": 26,
"condition": "new",
"available_count": 300,
"delivery_text": null,
"seller_name": null,
"is_sponsored": false,
"is_cross_border": true
}
],
"total_found": 1980,
"page_count": 30,
"blocked": false,
"proxy_traffic_bytes": 2785871
},
"total_points": 2
}Yandex Market category products
List Yandex Market products in a catalog category by id or URL, with sort, price, condition, payment, rating and brand filters. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Category (ID or URL). e.g. 26992150
Max items (up to 250)
1 <= x <= 250Starting page
x >= 1Sort by. Options: dpop = Popularity, aprice = Price: low to high, dprice = Price: high to low, rating = Rating, date = Newest, discount_p = Biggest discount
dpop, aprice, dprice, rating, date, discount_p Condition. Options: new = New, resale = Resale / used
new, resale Min price (RUB)
Max price (RUB)
Payment method. Options: online = Online, card_courier = Card to courier, cash_courier = Cash to courier, postpaid_pickup = Pay at pickup point
online, card_courier, cash_courier, postpaid_pickup Highly rated only
Brand (vendor ID)
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.